Bug 819759 - system-config-selinux ImportError: cannot import name unit_file
system-config-selinux ImportError: cannot import name unit_file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 03:26 EDT by Frank Murphy
Modified: 2013-01-23 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:28:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
URLGRABBER_DEBUG=1,debug.txt yum update (34.77 KB, text/plain)
2012-05-18 06:43 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2012-05-08 03:26:14 EDT
Description of problem:
~$ system-config-selinux
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 37, in <module>
    import domainsPage
  File "/usr/share/system-config-selinux/domainsPage.py", line 29, in <module>
    import polgen
  File "/usr/share/system-config-selinux/polgen.py", line 32, in <module>
    from templates import unit_file
ImportError: cannot import name unit_file



Version-Release number of selected component (if applicable):
policycoreutils-gui-2.1.4-16.fc16.i686

How reproducible: 12 attemts to open window gui\cli root\user


Steps to Reproduce:
1. Open Seliux-Management \ system-config-selinux
2.
3.
  
Actual results: no window


Expected results: managemt window


Additional info:
Comment 1 Daniel Walsh 2012-05-08 10:58:15 EDT
Fixed in policycoreutils-2.1.4-17.fc16
Comment 2 Fedora Update System 2012-05-08 11:19:50 EDT
policycoreutils-2.1.4-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.4-17.fc16
Comment 3 Fedora Update System 2012-05-18 06:34:40 EDT
Package policycoreutils-2.1.4-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.4-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8052/policycoreutils-2.1.4-17.fc16
then log in and leave karma (feedback).
Comment 4 Frank Murphy 2012-05-18 06:43:54 EDT
Created attachment 585385 [details]
URLGRABBER_DEBUG=1,debug.txt yum update
Comment 5 Frank Murphy 2012-05-18 06:44:36 EDT
(In reply to comment #4)
> Created attachment 585385 [details]
> URLGRABBER_DEBUG=1,debug.txt yum update

Apologies wrong BZ
Comment 6 Fedora End Of Life 2013-01-16 21:05:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2013-01-23 11:28:47 EST
policycoreutils-2.1.4-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.